Accept a quote

Permissions required: Execute trades

Accept a quote by its quoteID and side.

Idempotent Requests

This endpoint supports idempotent requests so that a quote cannot be accepted twice if an API call was interrupted and is retried. To send an idempotent request, include the idempotentId field in the body of the POST request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body to accept a quote
example:

  {
    "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120002",
    "side": "BUY",
  }
string
required

The ID of a trading account. This field is used to specify the trading account into which assets should be settled.

string

The maximum slippage Anchorage Digital will consider when accepting this order, communicated in terms of actual value (i.e. "0.001" => 10bps). Must be greater than or equal to 0 and less than or equal to 0.002 (20bps).

In order to illustrate how this setting works, as an example, we shall consider a commission of 10bps for a quote priced at 10000, and that we are about to accept this quote with an allowedSlippage of "0.0008" (8bps). Then, considering the market has moved away from the quoted price, one of the following two scenarios will be applicable:

  1. Best market price within allowedSlippage - fill the order at the spread off the market
    Best Market Price: 10007
    Trade Status: Executed
    Customer Execution Price: 10017.007

  2. Best market price outside of allowedSlippage - reject the order
    Best Market Price: 10009
    Trade Status: Rejected

string | null

A client-provided unique ID for idempotent requests (optional). This value must match the one provided to request quote.

string
required

ID of the quote to trade.

string
enum
required

Trade side, either "BUY" or "SELL".

Allowed:
string

Currently in BETA.

The ID of a vault. This optional field is used to specify the vault into which assets should be settled.
If provided, the API key must have the following permissions: Read vault activity

Headers
string
required
^[0-9A-Fa-f]{128,160}$

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

  toHex(
    ed25519Sign(
      signing_key,
      '{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
    )
  )
int64
required

Current timestamp, represented as unix epoch seconds

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json